#include-once

; Author: Mars (AutoIt.de)
; Datum:  18.07.2014

; Hilft dabei einen String gleichzeitig zu krzen
; und das abgeschnittene Ende zurckzugeben.

; <Func>--------------------------------------------------|
; Schneidet ein Ende (iCount > 0 -> Links, sonst Rechts)  |
; von einem String ab und gibt dieses Ende aus            |
; --------------------------------------------------------|
Func StringPop(ByRef $sString, $iCount = 1)
	If $iCount > 0 Then
		Local $sLeft = StringLeft($sString, $iCount)
		$sString = StringTrimLeft($sString, $iCount)
		Return $sLeft
	Else
		Local $sRight = StringRight($sString, -$iCount)
		$sString = StringTrimRight($sString, -$iCount)
		Return $sRight
	EndIf
EndFunc