#include 'Container.au3'
#include <Array.au3>

_Test()

Func _Test()

	Local $aTest = _Container_Create()

	; Paar Datenstze speichern
	_Container_Add($aTest, 'Data 1', 'Index1', 'Beschreibung 1')
	_Container_Add($aTest, 'Data 2', 'Index2', 'Beschreibung 2')
	_Container_Add($aTest, 'Stelle dir vor hier wre der Binrcode einer Grafik', 'Pic01', 'Wunderbare Berglandschaft mit Heidi')
	_Container_Add($aTest, 'Hier knnte ihre Werbung stehen :)', 'Datensatz 4', 'Daten die zum Test gespeichert werden...4')
	_Container_Add($aTest, 'Datensatz ohne Beschreibung', 'Kse')
	_Container_Add($aTest, 'Datensatz ohne Index', '','(das ist nicht sonderlich schlau, aber mglich)')

	_ArrayDisplay($aTest, 'Vor der Stringumwandlung') ; Damit man sieht wie der Spa intern arbeitet

	Local $sContainer = _Container_ToString($aTest) ; 1x String bitte

	; Anzeige wie Gro unser String geworden ist
	ConsoleWrite('CHAR[' & StringLen($sContainer) & '] ' & Binary($sContainer) & @CRLF)

	; Den String kann man in eine Datei schreiben
	FileDelete('ContainerTest.txt')
	FileWrite('ContainerTest.txt', $sContainer)

	; Und wieder lesen
	Local $aLoad = _Container_FromString(FileRead('ContainerTest.txt')), $aPart

	; Mal schauen was geladen wurde...
	_ArrayDisplay($aLoad, 'Von Datei geladen')

	; Man kann sich einen kompletten Datensatz ausgeben lassen [3er Param = False] optional

	; Inhalt via Position (nicht so gut, da die Position im Container ja nach belieben variiert werden kann)
	$aPart = _Container_Get($aLoad, 4)
	_ArrayDisplay($aPart, 'Element nummer 4')

	; Inhalt via Indexlabel (besser, da das Label unabhngig von der Position funktioniert)
	$aPart = _Container_Get($aLoad, 'Index2')
	_ArrayDisplay($aPart, 'Element "Index2"')

	; Wenn man nur die Daten mchte (ohne die dazugehrige Beschreibung) lassen sich auch nur Daten ausgeben
	ConsoleWrite('Daten vom Label "Pic01": ' & _Container_Get($aLoad, 'Pic01', True) & @CRLF)
	ConsoleWrite('Daten vom Index 6: ' & _Container_Get($aLoad, 6, True) & @CRLF)

	; Um die Datei zu sehen kann man dies auskommentieren
	FileDelete('ContainerTest.txt')

EndFunc   ;==>_Test